summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2015-08-23 22:16:59 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2015-08-23 22:35:01 +0200
commitce5bec38730a1bc86a36bf1c533ee6250d4c8175 (patch)
treebb31b85c713b57ae3a3924cdc005810454c79265 /x11-plugins
parentx11-plugins/wmfsm: drop some versions (diff)
downloadgentoo-ce5bec38730a1bc86a36bf1c533ee6250d4c8175.tar.gz
gentoo-ce5bec38730a1bc86a36bf1c533ee6250d4c8175.tar.bz2
gentoo-ce5bec38730a1bc86a36bf1c533ee6250d4c8175.zip
x11-plugins/wmlpq: EAPI bump, fix compilation with new libdockapp
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'x11-plugins')
-rw-r--r--x11-plugins/wmlpq/Manifest2
-rw-r--r--x11-plugins/wmlpq/wmlpq-0.2.1-r1.ebuild5
-rw-r--r--x11-plugins/wmlpq/wmlpq-0.2.1-r2.ebuild5
-rw-r--r--x11-plugins/wmlpq/wmlpq-0.2.1-r3.ebuild41
4 files changed, 48 insertions, 5 deletions
diff --git a/x11-plugins/wmlpq/Manifest b/x11-plugins/wmlpq/Manifest
index 0a81bce5f30..79aba3c19fd 100644
--- a/x11-plugins/wmlpq/Manifest
+++ b/x11-plugins/wmlpq/Manifest
@@ -1 +1 @@
-DIST wmlpq_0.2.1.tar.gz 15180 SHA256 6dba6ed7b61baa6060f4646a230477970dec2fd06d01dab7dbdf064bed348e83
+DIST wmlpq_0.2.1.tar.gz 15180 SHA256 6dba6ed7b61baa6060f4646a230477970dec2fd06d01dab7dbdf064bed348e83 SHA512 757dc6f63d13f4715de7acf4cd436514de96ca78f7eb0e32f156c3a5f75c59e7e9c3d300a81bc1ce8e5def8a66f7678ca7b4b77969ef62f231c9db578c91ce4a WHIRLPOOL 383eab5a697937f510557687ef110d564d7dde701a73b8f3f2d6c32c3fb3e4fe4284aeb59971f3260852a9d261fe4a8048c7b9415fe692cb867456f7f0b97e6b
diff --git a/x11-plugins/wmlpq/wmlpq-0.2.1-r1.ebuild b/x11-plugins/wmlpq/wmlpq-0.2.1-r1.ebuild
index c081a49b95d..3f993c19d0b 100644
--- a/x11-plugins/wmlpq/wmlpq-0.2.1-r1.ebuild
+++ b/x11-plugins/wmlpq/wmlpq-0.2.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -10,7 +10,8 @@ DESCRIPTION="Windowmaker dockapp which monitors up to 5 printqueues"
SRC_URI="http://www.ur.uklinux.net/wmlpq/dl/wmlpq_0.2.1.tar.gz"
HOMEPAGE="http://www.ur.uklinux.net/wmlpq/"
-DEPEND="x11-libs/libdockapp"
+DEPEND="<x11-libs/libdockapp-0.7"
+RDEPEND="${DEPEND}"
RDEPEND=""
diff --git a/x11-plugins/wmlpq/wmlpq-0.2.1-r2.ebuild b/x11-plugins/wmlpq/wmlpq-0.2.1-r2.ebuild
index 25aba7a574f..83515e265e2 100644
--- a/x11-plugins/wmlpq/wmlpq-0.2.1-r2.ebuild
+++ b/x11-plugins/wmlpq/wmlpq-0.2.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -10,7 +10,8 @@ DESCRIPTION="Windowmaker dockapp which monitors up to 5 printqueues"
SRC_URI="http://www.ur.uklinux.net/wmlpq/dl/wmlpq_0.2.1.tar.gz"
HOMEPAGE="http://www.ur.uklinux.net/wmlpq/"
-DEPEND="x11-libs/libdockapp"
+DEPEND="<x11-libs/libdockapp-0.7"
+RDEPEND="${DEPEND}"
RDEPEND=""
diff --git a/x11-plugins/wmlpq/wmlpq-0.2.1-r3.ebuild b/x11-plugins/wmlpq/wmlpq-0.2.1-r3.ebuild
new file mode 100644
index 00000000000..6cb65d60717
--- /dev/null
+++ b/x11-plugins/wmlpq/wmlpq-0.2.1-r3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils flag-o-matic toolchain-funcs
+
+DESCRIPTION="Windowmaker dockapp which monitors up to 5 printqueues"
+HOMEPAGE="http://www.ur.uklinux.net/wmlpq/"
+SRC_URI="http://www.ur.uklinux.net/${PN}/dl/${P/-/_}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND=">=x11-libs/libdockapp-0.7:="
+RDEPEND="${DEPEND}"
+
+src_prepare()
+{
+ epatch "${FILESDIR}/${PN}-makefile-ldflags.patch"
+
+ sed -e 's#<dockapp.h>#<libdockapp/dockapp.h>#' -i *.c || die
+}
+
+src_compile()
+{
+ emake CC=$(tc-getCC) LDFLAGS="${LDFLAGS}"
+}
+
+src_install()
+{
+ dodir /usr/bin
+ emake DESTDIR="${D}"/usr/bin install
+
+ dodoc README sample.wmlpqrc
+ newman wmlpq.1x wmlpq.1
+
+ domenu "${FILESDIR}/${PN}.desktop"
+}